#
# spec file for package perl-MLDBM
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-MLDBM
Version:        2.05
Release:        5.34
%define cpan_name MLDBM
Summary:        store multi-level Perl hash structure in single level tied hash
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/MLDBM/
Source:         http://www.cpan.org/authors/id/C/CH/CHORNY/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build)
#BuildRequires: perl(FreezeThaw)
#BuildRequires: perl(MLDBM)
%{perl_requires}

%description
This module can serve as a transparent interface to any TIEHASH package
that is required to store arbitrary perl data, including nested references.
Thus, this module can be used for storing references and other arbitrary
data within DBM databases.

It works by serializing the references in the hash into a single string. In
the underlying TIEHASH package (usually a DBM database), it is this string
that gets stored. When the value is fetched again, the string is
deserialized to reconstruct the data structure into memory.

For historical and practical reasons, it requires the *Data::Dumper*
package, available at any CPAN site. *Data::Dumper* gives you really
nice-looking dumps of your data structures, in case you wish to look at
them on the screen, and it was the only serializing engine before version
2.00. However, as of version 2.00, you can use any of *Data::Dumper*,
*FreezeThaw* or *Storable* to perform the underlying serialization, as
hinted at by the the SYNOPSIS manpage overview above. Using *Storable* is
usually much faster than the other methods.

See the the BUGS manpage section for important limitations.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Wed Jun  5 2013 coolo@suse.com
- updated to 2.05
  Require perl 5.5
  Test for pod
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Thu Mar 25 2010 anicka@suse.cz
- update to 2.04
  * Compatibility with old EU::MM.
* Thu Mar  4 2010 anicka@suse.cz
- update to 2.03
  * Error in test fixed.
  * New tests added.
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Tue May 20 2003 mjancar@suse.cz
- remove unpackaged files
* Fri Jul 12 2002 prehak@suse.cz
- update to version 2.01
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Mon Nov 20 2000 rolf@suse.de
- extracted from perlmod package
